XScreenSaver(1)

NAME
gflux - rippling surface graphics hack

SYNOPSIS
gflux [-display host:display.screen] [-window] [-root] [-install] [-visual visual] [-delay microseconds] [-fps] [-squares num] [-resolution num] [-mode mode] [-flat num] [-speed num] [-rotationx num] [-rotationy num] [-rotationz num] [-waves num] [-waveChange num] [-waveHeight num] [-waveFreq num] [-zoom num]

DESCRIPTION
The gflux program draws a colourfull animated rippling square rotating in 3D space.

OPTIONS
gflux accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-squares num
    Specifies the size of the grid in squares. default 19

-resolution num
    Specifies the wireframe detail of the squares. default 4

-mode mode
    Specifies the draw method: wireframe; solid (meaning a solid colored surface); light (same as solid, but with lighting effects); checker (a texture-mapped checkerboard pattern); or grab (meaning grab an image to manipulate.) When grabbing images, the image will be grabbed from the portion of the screen underlying the window, or from the system's video input, or from a random file on disk, as indicated by the grabDesktopImages, grabVideoFrames, and chooseRandomImages options in the ~/.xscreensaver file; see xscreensaver-demo(1) for more details.

-flat num
    0 for smooth shading 1 for flat. default 0

-speed num
    Specifies speed of ripples flowing over the surface. default 0.05

-rotationx num -rotationy num -rotationz num
    Specifies the speed of rotation of the surface in these axis

-waves num
    Specifies the number of ripple centres at any one time. Values should be greater than 1. default 3

-waveChange num
    Specifies the duration of a ripple centre. after this they fade away to be reborn elsewhere with a different frequency. default 50

-waveHeight num
    Specifies the height of ripples on the surface. default 1.0

-waveFreq num
    Specifies the maximum frequency of ripples. default 3.0

-zoom num
    Specifies the size of the viewport. Smaller values fill the screen with rippling surface. default 1.0

-delay microseconds
    How long to pause between frames. Default is 20000, or 0.02 second.

-fps
    Display a running tally of how many frames per second are being rendered. In conjunction with -delay 0, this can be a useful benchmark of your GL performance.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1) xscreensaver-demo(1), xscreensaver-getimage(1)

COPYRIGHT
Copyright © 2000 by Josiah Pease. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Josiah Pease <gflux@jpease.force9.co.uk>, 10-Jun-2000.